SSI {spatial} | R Documentation

## Simulates Sequential Spatial Inhibition Point Process

### Description

Simulates SSI (sequential spatial inhibition) point process.

### Usage

    SSI(n, r)

### Arguments

`n` | number of points
`r` | inhibition distance

### Details

uses the region set by `ppinit` or `ppregion`.

### Value

list of vectors of `x` and `y` coordinates

### Side Effects

uses the random number generator.

### Warnings

will never return if `r` is too large and it cannot place `n` points.

### References

Ripley, B. D. (1981) Spatial Statistics. Wiley.

Venables, W. N. and Ripley, B. D. (2002) Modern Applied Statistics with S. Fourth edition. Springer.

### See Also

`Psim`, `Strauss`

### Examples

    towns <- ppinit("towns.dat")
    par(pty = "s")
    plot(Kfn(towns, 10), type = "b", xlab = "distance", ylab = "L(t)")
    lines(Kaver(10, 25, SSI(69, 1.2)))

[Package Contents]